Skip to main content
GET /api/v1/info/prices

Response

  • Status 200: Success
 {
  "success": true,
  "data": [
    {
      "funding": "0.00010529",
      "mark": "1.084819",
      "mid": "1.08615",
      "next_funding": "0.00011096",
      "open_interest": "3634796",
      "oracle": "1.084524",
      "symbol": "XPL",
      "timestamp": 1759222967974,
      "volume_24h": "20896698.0672",
      "yesterday_price": "1.3412"
    }
  ],
  "error": null,
  "code": null
}
FieldTypeDescription
”funding”decimal stringfunding rate paid in the past funding epoch (hour)
“mark”decimal stringMark price, as defined above
”mid”decimal stringMid price, defined as the average of the best bid and best ask price
”next_funding”decimal stringestimated funding rate to be paid in the next funding epoch (hour)
“open_interest”decimal stringThe current open interest on this symbol (in USD)
“oracle”decimal stringOracle price, as defined above
”symbol”stringTrading pair symbol
”timestamp”integerTimestamp in Milliseconds
”volume_24h”decimal stringVolume (USD) of this market in the past 24 hours
”yesterday_price”decimal stringOracle price of this market 24 hours ago (USD)
  • Status 404: No prices data available
  • Status 500: Internal server error

Code Example (Python)

import requests

response = requests.get(
    "/api/v1/info/prices",
    headers={"Accept": "*/*"},
)

data = response.json()